
Redmine - Defect #23841

Custom field URL spaces not decoded properly

2016-09-15 21:48 - Jake Kemme

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.1.7   

Resolution: Fixed Affected version: 3.3.0

Description

Custom field link Urls with spaces (%20) are not properly decoded when url is generated as hyperlink

 customFieldURL.PNG 

Generated URL contains %2520 (it escaped the %):

 

  Redmine version                3.3.0.stable.15581

  Ruby version                   2.0.0-p353 (2013-11-22) [i686-linux]

  Rails version                  4.2.6

 The entire URL should not be encoded.  This is related to #23067

Related issues:

Related to Redmine - Defect #23067: Custom field List Link values to URL brea... Closed

Associated revisions

Revision 15846 - 2016-10-01 09:39 - Jean-Philippe Lang

Encode values, not full URL (#23841).

Revision 15867 - 2016-10-02 12:12 - Jean-Philippe Lang

Merged r15846 (#23841).

Revision 15868 - 2016-10-02 12:12 - Jean-Philippe Lang

Merged r15846 (#23841).

Revision 15869 - 2016-10-02 12:13 - Jean-Philippe Lang

Merged r15846 (#23841).

History

#1 - 2016-09-16 03:32 - Toshi MARUYAMA

- Related to Defect #23067: Custom field List Link values to URL breaks on entries with spaces added

#2 - 2016-09-16 03:38 - Toshi MARUYAMA

- Target version set to 3.1.7

#3 - 2016-10-01 09:40 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
https://www.redmine.org/issues/23067


Fixed in r15846, thanks for pointing this out.

#4 - 2016-10-02 12:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

customFieldURL.PNG 3.48 KB 2016-09-15 Jake Kemme

CustomFieldOnIssueURL.png 5.88 KB 2016-09-15 Jake Kemme
